import Vue from 'vue'
import App from './App'
import store from './store/index.js';
// main.js 文件
import uView from "uview-ui";
import {VueJsonp} from 'vue-jsonp'
Vue.use(uView);
Vue.use(VueJsonp)

import common from './util/common.js'
import share from './util/share.js'
import examineTemplate from './components/examineTemplate';
import { checkReport } from '@/util/util.js'
Vue.component("examine-template",examineTemplate)
Vue.prototype.$bus = new Vue();
Vue.prototype.$indexType = null;
Vue.prototype.$noMultipleClicks = common.noMultipleClicks;
Vue.prototype.$deWeight = common.deWeight;
Vue.prototype.openCommonFile = common.openCommonFile;
Vue.prototype.openCommonImg = common.openCommonImg;
Vue.prototype.checkCommonForm = common.checkCommonForm
Vue.prototype.checkStartAndEnd = common.checkStartAndEnd
Vue.prototype.handleTime = common.handleTime
//搜索 表单 数据 处理
Vue.prototype.handleSearchForm = common.handleSearchForm
Vue.prototype.handleSureSearch = common.handleSureSearch
Vue.prototype.handleResetSearch = common.handleResetSearch

Vue.prototype.checkReport = checkReport
Vue.config.productionTip = false

Vue.mixin(share)

App.mpType = 'app'

const app = new Vue({
	store,
    ...App,
})
app.$mount()
